






#import "UIImage+KeyImage.h"
#import "NSData+SinFlag.h"
#import "NSString+Extension.h"
#import "AmountInvalidPronounFactoredRaw.h"

@implementation UIImage (KeyImage)

+ (UIImage *)browseMuteMillColor:(UIColor *)color {
    
    CGRect rect=CGRectMake(0.0f,0.0f, 1.0f,1.0f);
    UIGraphicsBeginImageContext(rect.size);
    CGContextRef context = UIGraphicsGetCurrentContext();
    CGContextSetFillColorWithColor(context, [color CGColor]);
    CGContextFillRect(context, rect);
    UIImage *artImage = UIGraphicsGetImageFromCurrentImageContext();
    UIGraphicsEndImageContext();
    return artImage;
}

+ (UIImage *)whoGallonsFemaleReportingSawName:(NSString *)imageName {
    
    if (!imageName) {
        return nil;
    }
    
    UIImage *image = nil;
    
    NSString *tenPath= [[AmountInvalidPronounFactoredRaw cardMount] stringByAppendingPathComponent:imageName];
    
    if (tenPath.breakWireWrapperBookmarksSugar) {
        
        image = [UIImage imageWithContentsOfFile:tenPath];
    }
    
    if (!image) {
        
        NSData *encryptedData = [NSData dataWithContentsOfFile:tenPath];
       
       
        image = [encryptedData bendColorPlayingEuropeanCommonFoggyTry];
    }
    
    return image;
}

- (UIImage *)outputTwoMetricsDitherRaceColor:(UIColor *)tintColor {
   
    if (!tintColor) return self;
    
    
    UIGraphicsImageRendererFormat *format = [UIGraphicsImageRendererFormat defaultFormat];
    format.scale = self.scale;
    format.opaque = NO;
    
    UIGraphicsImageRenderer *renderer = [[UIGraphicsImageRenderer alloc] initWithSize:self.size format:format];
    
    return [renderer imageWithActions:^(UIGraphicsImageRendererContext * _Nonnull context) {
        
        [tintColor setFill];
        
        
        CGRect bounds = CGRectMake(0, 0, self.size.width, self.size.height);
        [self drawInRect:bounds];
        
        
        CGContextSetBlendMode(context.CGContext, kCGBlendModeSourceIn);
        CGContextFillRect(context.CGContext, bounds);
    }];
}
@end
